Subject: Venetian treacle

From: [email-masked] (Brad Gee)
Date: 2 Feb 94 20:22:18 -0600

Since there is no alt.drugs.historic group as far as I know,
I thought I'd post the following to this group:

Does anyone have any information on Venetian treacle
(teriaca veneziana in Italian)?  All I know is that it was
supposedly a mixture of all sorts of herbs and mystery
ingredients and was developed in Venice several hundred
years ago.  It was (and possibly still is) sold in 
pharmacies in Venice as a cure-all.  Gore Vidal mentioned
it in a documentary film about Venice a few years back.

I somehow imagine it tasting like very thick Jaegermeister.8)

Thanks in advance!
_______________________________________________________________________________

Brad Gee                                            Internet: [email-masked]
Chalmer Davee Library                               Phone:    (715)425-3312
University of Wisconsin - River Falls               Fax:      (715)425-3590
River Falls, WI   54022